/**************************************************************************

	File: oled.h

	Copyright (C) 2019 S.Suwa <www.suwa-koubou.jp>

*/

#ifndef	__OLED_H
#define	__OLED_H

/*------------------------------------------------------------------------
    definition
------------------------------------------------------------------------*/

/*------------------------------------------------------------------------
    global variable
------------------------------------------------------------------------*/

extern volatile int i2c_request_flg;


/*------------------------------------------------------------------------
    function prototype
------------------------------------------------------------------------*/

extern void  oled_init(void);
extern void  oled_clear(void);
extern void  oled_locate(int col, int row);
extern void  oled_putstr(char *str);
extern void  oled_putstr2(int col, int row, char *str);
extern void  oled_putstr4(int col, int row, char *str);
extern void  oled_putch(int c);
extern void  oled_put_midi_chn(int num);

extern void  oled_test(void);

#endif
/*** end of oled.h ******************************************************/
